import './assets/scss/main.scss'
import './assets/scss/mengyuu/index.scss'
import 'ant-design-vue/dist/reset.css';
import '@imengyu/vue-scroll-rect/lib/vue-scroll-rect.css';
import "vue3-carousel/carousel.css";

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import Vue3Marquee from 'vue3-marquee'
import VueScrollRect from '@imengyu/vue-scroll-rect';
import App from './App.vue'
import router from './router'
import { registryConvert } from './common/ConvertRgeistry';

const app = createApp(App)

app.use(createPinia())
app.use(router)
app.use(VueScrollRect);
app.use(Vue3Marquee);

app.mount('#app').$nextTick(() => {
  registryConvert();
})


